import 'package:flutter/material.dart';
import 'package:flutter_hooks/flutter_hooks.dart';
import 'package:flutter_query/flutter_query.dart';
import 'package:flutter_test/flutter_test.dart';

void main() {
  testWidgets('useQuery', (tester) async {
    var passed = false;

    await tester.pumpFrames(
      QueryCacheProvider(
        child: HookBuilder(
          builder: (context) {
            final snapshot = useQuery(
              'data',
              () => Future.value('Hello world!'),
            );
            if (snapshot.hasData) {
              passed = true;
            }
            return HookBuilder(builder: (context) {
              useQuery('data', () => Future.value('Hello world!'));
              return Container();
            });
          },
        ),
      ),
      Duration(seconds: 5),
    );

    expect(passed, true);
  });
}
